Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 152031 - app-cdr/lightscribe-labeler-1.0-r6 (New Package)
Summary: app-cdr/lightscribe-labeler-1.0-r6 (New Package)
Status: RESOLVED DUPLICATE of bug 466204
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://www.lacie.com/products/product...
Whiteboard:
Keywords:
: 152618 152619 155750 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-10-19 22:24 UTC by Anton Bolshakov
Modified: 2013-04-17 09:33 UTC (History)
18 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
4L-1.0_p6.ebuild (4L-1.0_p6.ebuild,922 bytes, text/plain)
2006-10-23 11:08 UTC, Mario Fetka (geos_one)
Details
files/80LaCie-4L (80LaCie-4L,17 bytes, text/plain)
2006-10-23 11:09 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-1.4.113.1.ebuild (lightscribe-1.4.113.1.ebuild,986 bytes, text/plain)
2006-10-23 11:11 UTC, Mario Fetka (geos_one)
Details
files/80lightscribe (80lightscribe,27 bytes, text/plain)
2006-10-23 11:11 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-1.4.113.1.ebuild (lightscribe-1.4.113.1.ebuild,979 bytes, text/plain)
2006-10-24 02:32 UTC, Mario Fetka (geos_one)
Details
HP-LightScribe License (HP-LightScribe.txt,15.58 KB, text/plain)
2006-10-24 02:33 UTC, Mario Fetka (geos_one)
Details
app-cdr/4L-1.0_p6.ebuild (4L-1.0_p6.ebuild,1.14 KB, text/plain)
2006-10-24 03:08 UTC, Mario Fetka (geos_one)
Details
app-cdr/4L/files/LaCie-4L.desktop (LaCie-4L.desktop,186 bytes, text/plain)
2006-10-24 03:10 UTC, Mario Fetka (geos_one)
Details
app-cdr/4L-1.0_p6.ebuild (4L-1.0_p6.ebuild,1.14 KB, text/plain)
2006-11-25 12:16 UTC, Mario Fetka (geos_one)
Details
app-cdr/liblightscribe-1.4.142.1.ebuild (liblightscribe-1.4.142.1.ebuild,1.15 KB, text/plain)
2007-02-15 10:36 UTC, Mario Fetka (geos_one)
Details
files/80liblightscribe (80liblightscribe,30 bytes, text/plain)
2007-02-15 10:37 UTC, Mario Fetka (geos_one)
Details
app-cdr/liblightscribe-1.10.13.1.ebuild (liblightscribe-1.10.13.1.ebuild,1.35 KB, text/plain)
2007-10-21 11:56 UTC, Mario Fetka (geos_one)
Details
app-cdr/liblightscribe-1.10.13.1.ebuild (liblightscribe-1.10.13.1.ebuild,1.97 KB, text/plain)
2007-10-21 14:18 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-simplelabeler-1.4.128.1.ebuild (lightscribe-simplelabeler-1.4.128.1.ebuild,1.35 KB, text/plain)
2007-10-21 14:25 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-lacie-1.0_p6.ebuild (lightscribe-lacie-1.0_p6.ebuild,1.26 KB, text/plain)
2007-10-21 14:27 UTC, Mario Fetka (geos_one)
Details
app-cdr/liblightscribe-1.10.13.1.ebuild (liblightscribe-1.10.13.1.ebuild,2.25 KB, text/plain)
2007-10-21 19:19 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-lacie-1.0_p6.ebuild (lightscribe-lacie-1.0_p6.ebuild,1.40 KB, text/plain)
2007-10-21 19:20 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-simplelabeler-1.4.128.1.ebuild (lightscribe-simplelabeler-1.4.128.1.ebuild,2.33 KB, text/plain)
2007-10-21 19:21 UTC, Mario Fetka (geos_one)
Details
app-cdr/liblightscribe-1.10.19.1 ebuild (liblightscribe-1.10.19.1.ebuild,1.97 KB, text/plain)
2007-11-22 18:50 UTC, Jouni Rinne
Details
app-cdr/lightscribe-simplelabeler-1.10.19.1 ebuild (lightscribe-simplelabeler-1.10.19.1.ebuild,2.34 KB, text/plain)
2007-11-22 18:52 UTC, Jouni Rinne
Details
app-cdr/lightscribe-lacie-1.0_p6-r1 ebuild (lightscribe-lacie-1.0_p6-r1.ebuild,1.31 KB, text/plain)
2007-11-22 18:56 UTC, Jouni Rinne
Details
app-cdr/liblightscribe-1.10.19.1.ebuild (liblightscribe-1.10.19.1.ebuild,2.71 KB, text/plain)
2007-11-23 13:34 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-lacie-1.0_p6-r1.ebuild (lightscribe-lacie-1.0_p6-r1.ebuild,1.46 KB, text/plain)
2007-11-23 13:36 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-simplelabeler-1.10.19.1.ebuild (lightscribe-simplelabeler-1.10.19.1.ebuild,2.43 KB, text/plain)
2007-11-23 13:38 UTC, Mario Fetka (geos_one)
Details
Simple version upgrade (lightscribe-1.10.27.1.ebuild,2.13 KB, text/plain)
2007-12-21 13:14 UTC, Noel Bennett
Details
Upgraded the version & name of downloaded file (lightscribe-simplelabeler-1.10.19.1.ebuild,5.17 KB, text/plain)
2007-12-21 13:17 UTC, Noel Bennett
Details
app-cdr/liblightscribe-1.12.29.2.ebuild (liblightscribe-1.12.29.2.ebuild,2.71 KB, text/plain)
2008-02-06 21:18 UTC, Mario Fetka (geos_one)
Details
app-cdr/liblightscribe-1.14.19.1.ebuild (liblightscribe-1.14.19.1.ebuild,2.33 KB, text/plain)
2008-09-03 08:24 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-lacie-1.0_p6-r1.ebuild (lightscribe-lacie-1.0_p6-r1.ebuild,1.47 KB, text/plain)
2008-09-03 08:25 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-simplelabeler-1.10.23.1.ebuild (lightscribe-simplelabeler-1.10.23.1.ebuild,2.39 KB, text/plain)
2008-09-03 08:26 UTC, Mario Fetka (geos_one)
Details
files/liblightscribe-gcc43-1.patch (liblightscribe-gcc43-1.patch,717 bytes, patch)
2008-09-03 08:27 UTC, Mario Fetka (geos_one)
Details | Diff
app-cdr/lightscribe-simplelabeler-1.10.19.1.ebuild (lightscribe-simplelabeler-1.10.19.1.ebuild,2.68 KB, text/plain)
2008-11-14 17:57 UTC, Mario Fetka (geos_one)
Details
app-cdr/liblightscribe-1.14.32.1.ebuild (liblightscribe-1.14.32.1.ebuild,2.22 KB, text/plain)
2008-11-14 18:31 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-lsprint-1.14.32.1.ebuild (lightscribe-lsprint-1.14.32.1.ebuild,1.43 KB, text/plain)
2008-11-14 18:32 UTC, Mario Fetka (geos_one)
Details
liblightscribe-1.18.1.1 ebuild (liblightscribe-1.18.1.1.ebuild,2.23 KB, text/plain)
2009-02-13 12:42 UTC, Jouni Rinne
Details
app-cdr//liblightscribe-1.18.1.1.ebuild (liblightscribe-1.18.1.1.ebuild,2.23 KB, text/plain)
2009-02-16 07:52 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-lsprint-1.14.32.1.ebuild (lightscribe-lsprint-1.14.32.1.ebuild,1.42 KB, text/plain)
2009-02-16 07:56 UTC, Mario Fetka (geos_one)
Details
app-cdr/liblightscribe-1.18.1.1-r1.ebuild (liblightscribe-1.18.1.1-r1.ebuild,2.27 KB, text/plain)
2009-02-24 20:51 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-lacie-1.0_p6-r2.ebuild (lightscribe-lacie-1.0_p6-r2.ebuild,1.60 KB, text/plain)
2009-02-24 20:53 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-simplelabeler-1.10.19.1-r1.ebuild (lightscribe-simplelabeler-1.10.19.1-r1.ebuild,2.71 KB, text/plain)
2009-02-24 20:54 UTC, Mario Fetka (geos_one)
Details
app-cdr/lliblightscribe-1.18.2.1.ebuild (liblightscribe-1.18.2.1.ebuild,2.27 KB, text/plain)
2009-03-16 22:21 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-lacie-1.0_p6-r3.ebuild (lightscribe-lacie-1.0_p6-r3.ebuild,1.64 KB, text/plain)
2009-03-16 22:23 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-simplelabeler-1.10.19.1-r2.ebuild (lightscribe-simplelabeler-1.10.19.1-r2.ebuild,2.61 KB, text/plain)
2009-03-16 22:25 UTC, Mario Fetka (geos_one)
Details
strace 4L-cli enumerate (schwtyl_stacktrace_4L-cli_enumerate_lightscribe-1.18.1.1.output,15.66 KB, text/plain)
2009-03-17 03:53 UTC, Tyler Schwartz
Details
strace 4L-cli enumerate (gcc433) (schwtyl_stacktrace_4L-cli_enumerate_lightscribe-1.18.1.1.gcc433.output,15.76 KB, text/plain)
2009-03-21 04:44 UTC, Tyler Schwartz
Details
app-cdr/liblightscribe-1.18.3.2.ebuild (liblightscribe-1.18.3.2.ebuild,2.27 KB, text/plain)
2009-03-24 14:26 UTC, Mario Fetka (geos_one)
Details
app-cdr/liblightscribe-1.18.4.1.ebuild (liblightscribe-1.18.4.1.ebuild,2.96 KB, text/plain)
2009-04-25 08:07 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-lsprint-1.14.32.1-r1.ebuild (lightscribe-lsprint-1.14.32.1-r1.ebuild,1.41 KB, text/plain)
2009-04-25 08:26 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-lsprint-1.14.32.1-r2.ebuild (lightscribe-lsprint-1.14.32.1-r2.ebuild,1.41 KB, text/plain)
2009-04-25 08:48 UTC, Mario Fetka (geos_one)
Details
app-cdr/liblightscribe-1.18.4.1-r1.ebuild (liblightscribe-1.18.4.1-r1.ebuild,2.96 KB, text/plain)
2009-04-25 08:51 UTC, Mario Fetka (geos_one)
Details
app-cdr/liblightscribe-1.18.4.1-r2.ebuild (liblightscribe-1.18.4.1-r2.ebuild,3.09 KB, text/plain)
2009-05-15 05:52 UTC, Mario Fetka (geos_one)
Details
app-cdr/liblightscribe-1.18.6.1.ebuild (liblightscribe-1.18.6.1.ebuild,3.11 KB, text/plain)
2009-08-17 05:45 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-template-001.ebuild (lightscribe-template-001.ebuild,1.05 KB, text/plain)
2009-08-27 12:15 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-lacie-1.0_p6-r4.ebuild (lightscribe-lacie-1.0_p6-r4.ebuild,1.75 KB, text/plain)
2009-08-27 12:17 UTC, Mario Fetka (geos_one)
Details
app-cdr/liblightscribe-1.18.6.1-r1.ebuild (liblightscribe-1.18.6.1-r1.ebuild,3.10 KB, text/plain)
2009-08-27 12:19 UTC, Mario Fetka (geos_one)
Details
app-cdr/liblightscribe-1.18.10.2-r1.ebuild (liblightscribe-1.18.10.2-r1.ebuild,3.12 KB, text/plain)
2010-01-05 06:25 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-template-001-r1.ebuild (lightscribe-template-001-r1.ebuild,1.05 KB, text/plain)
2010-01-05 06:26 UTC, Mario Fetka (geos_one)
Details
licenses/lightscribe (lightscribe,15.59 KB, text/plain)
2010-01-05 06:40 UTC, Mario Fetka (geos_one)
Details
licenses/lightscribeSDK (lightscribeSDK,17.21 KB, text/plain)
2010-01-05 06:41 UTC, Mario Fetka (geos_one)
Details
app-cdr/lightscribe-lsprint-1.18.6.1.ebuild (lightscribe-lsprint-1.18.6.1.ebuild,1.43 KB, text/plain)
2010-01-05 06:46 UTC, Mario Fetka (geos_one)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Bolshakov 2006-10-19 22:24:12 UTC
From a description:

4L lets you use LightScribe direct-disc labeling technology with your Linux system. Now you can burn professional, silkscreen-quality labels directly onto CDs and DVDs using the same laser that burns data on discs. It’s easy; just burn data as usual, flip the LightScribe disc over, reinsert it into the drive and burn a precise, iridescent label of your own design.

It's a Closed-Source but free LightScribe Labeling application 4L for Linux
Comment 1 Mario Fetka (geos_one) 2006-10-23 11:08:18 UTC
Created attachment 100300 [details]
4L-1.0_p6.ebuild

the ebuild for 4L
Comment 2 Mario Fetka (geos_one) 2006-10-23 11:09:14 UTC
Created attachment 100301 [details]
files/80LaCie-4L

The update for env.d
Comment 3 Mario Fetka (geos_one) 2006-10-23 11:11:17 UTC
Created attachment 100302 [details]
app-cdr/lightscribe-1.4.113.1.ebuild
Comment 4 Mario Fetka (geos_one) 2006-10-23 11:11:43 UTC
Created attachment 100303 [details]
files/80lightscribe
Comment 5 Mario Fetka (geos_one) 2006-10-23 11:13:26 UTC
this is a first start for this nice bin only soft. the licence entry is not right havent found it 

happy using 
Mario
Comment 6 Jakub Moc (RETIRED) gentoo-dev 2006-10-23 23:54:36 UTC
*** Bug 152619 has been marked as a duplicate of this bug. ***
Comment 7 Jakub Moc (RETIRED) gentoo-dev 2006-10-23 23:58:51 UTC
*** Bug 152618 has been marked as a duplicate of this bug. ***
Comment 8 Mario Fetka (geos_one) 2006-10-24 02:32:25 UTC
Created attachment 100350 [details]
app-cdr/lightscribe-1.4.113.1.ebuild

Update the ebuild remove the hacks
Comment 9 Mario Fetka (geos_one) 2006-10-24 02:33:51 UTC
Created attachment 100351 [details]
HP-LightScribe License 

this is the license file includet in the rpm converted to txt.
Comment 10 Mario Fetka (geos_one) 2006-10-24 03:08:54 UTC
Created attachment 100352 [details]
app-cdr/4L-1.0_p6.ebuild

Remove hacks
Comment 11 Mario Fetka (geos_one) 2006-10-24 03:10:26 UTC
Created attachment 100353 [details]
app-cdr/4L/files/LaCie-4L.desktop

stolen from http://bugs.gentoo.org/attachment.cgi?id=100341
Comment 12 Jakub Moc (RETIRED) gentoo-dev 2006-11-20 04:23:00 UTC
*** Bug 155750 has been marked as a duplicate of this bug. ***
Comment 13 Bolek Tekielski 2006-11-20 05:20:09 UTC
4L-cli enumerate fails with:

bolek@abt ~ $ 4L-cli enumerate
Using /etc/lightscribe.rc
Segmentation fault

Output fron strace 4L-cli enumerate (few ending lines)

rt_sigaction(SIGALRM, {SIG_IGN}, NULL, 8) = 0
rt_sigaction(SIGUSR1, {SIG_IGN}, NULL, 8) = 0
rt_sigaction(SIGUSR2, {SIG_IGN}, NULL, 8) = 0
rt_sigaction(SIGVTALRM, {SIG_IGN}, NULL, 8) = 0
open("/proc/sys/dev/cdrom/info", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7f7f000
read(3, "CD-ROM information, Id: cdrom.c "..., 8192) = 433
read(3, "", 7168)                       = 0
read(3, "", 8192)                       = 0
close(3)                                = 0
munmap(0xb7f7f000, 4096)                = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Process 12773 detached

Tried with different DMA modes, result is the same.
Comment 14 Serkan Kaba (RETIRED) gentoo-dev 2006-11-24 02:42:26 UTC
(In reply to comment #10)
> Created an attachment (id=100352) [edit]
> app-cdr/4L-1.0_p6.ebuild
> 
> Remove hacks
> 

Is there a spesific reason that this package depends on gcc 4
Comment 15 Mario Fetka (geos_one) 2006-11-25 12:14:45 UTC
(In reply to comment #14)
> (In reply to comment #10)
> > Created an attachment (id=100352) [edit]
> > app-cdr/4L-1.0_p6.ebuild
> > 
> > Remove hacks
> > 
> 
> Is there a spesific reason that this package depends on gcc 4
> 
this is an oversight of mine it only depends in GLIBCXX_3.4
so only >=gcc-3.4 is needed.
Comment 16 Mario Fetka (geos_one) 2006-11-25 12:16:35 UTC
Created attachment 102721 [details]
app-cdr/4L-1.0_p6.ebuild

Correct wrong dependency
Comment 17 Florian Steinel 2006-12-02 04:09:41 UTC
what about http://www.lightscribe.com/downloadSection/linux/index.aspx ?
Comment 18 Roger 2007-02-04 07:06:17 UTC
(In reply to comment #17)
> what about http://www.lightscribe.com/downloadSection/linux/index.aspx ?
> 

First, it looks as if Lacie is grabbing lightscribe binaries from lightscribe.com (see above url) and customizing it.

As such, this ebuild name will conflict is somebody starts a app-cdr/lightscribe (from  the official lightscribe.com)

My two cents.  Start another ebuild named app-cdr/lightscribe and make it a dependancy of lacies customized binaries? 

(I haven't seen Lacie's binaries lightscribe and have no idea if they are similar, but looking over the ebuild and version numbering of the packages, it looks as if they're the same "lightscribe" binary.)

And if you start another lightscribe ebuild, just look at this ebuild's contents -- ie. use "rpm_src_unpack".

If I had free time, I'd do it, but just bought a piece of h/w to replace my failing Plextors.
Comment 19 Mario Fetka (geos_one) 2007-02-04 10:35:34 UTC
(In reply to comment #18)
> (In reply to comment #17)
> > what about http://www.lightscribe.com/downloadSection/linux/index.aspx ?
> > 
> 
> First, it looks as if Lacie is grabbing lightscribe binaries from
> lightscribe.com (see above url) and customizing it.
> 
> As such, this ebuild name will conflict is somebody starts a
> app-cdr/lightscribe (from  the official lightscribe.com)
> 
> My two cents.  Start another ebuild named app-cdr/lightscribe and make it a
> dependancy of lacies customized binaries? 
> 
> (I haven't seen Lacie's binaries lightscribe and have no idea if they are
> similar, but looking over the ebuild and version numbering of the packages, it
> looks as if they're the same "lightscribe" binary.)
> 
> And if you start another lightscribe ebuild, just look at this ebuild's
> contents -- ie. use "rpm_src_unpack".
> 
> If I had free time, I'd do it, but just bought a piece of h/w to replace my
> failing Plextors.
> 
Lacie where the first with lightscribe in linux.
then the binarys apear at lightscribe.com
so the best would be to switch to lightscribe.com
and drop the lacie gui and replace it with the better mantained lightscribe.com binary.

i will start on that today.
Comment 20 Bolek Tekielski 2007-02-15 07:32:52 UTC
There seems to be something wrong with these ebuilds. After installation I always got "segmentation fault" when trying 4L-cli enumerate. After manual installation (rmp2targz, untarring and copying to default directories everything seems to be working fine) 
Comment 21 Mario Fetka (geos_one) 2007-02-15 10:36:31 UTC
Created attachment 110243 [details]
app-cdr/liblightscribe-1.4.142.1.ebuild

this is an update to the Lightscribe bin
as it only provieds the lib
i renamed it to liblightscribe.
Comment 22 Mario Fetka (geos_one) 2007-02-15 10:37:57 UTC
Created attachment 110245 [details]
files/80liblightscribe

Also update the env.d file
Comment 23 konrad okurowski 2007-03-11 17:46:57 UTC
(In reply to comment #21)
> Created an attachment (id=110243) [edit]
> app-cdr/liblightscribe-1.4.142.1.ebuild
> 
> this is an update to the Lightscribe bin
> as it only provieds the lib
> i renamed it to liblightscribe.
> 
But you didn't change dependencies to liblightscribe;) in 4L ebuild.
Comment 24 Wolfram Schlich (RETIRED) gentoo-dev 2007-03-25 01:12:30 UTC
Guys, please have a look at my posting in the forums:
http://forums.gentoo.org/viewtopic-p-3976632.html#3976632

What about amd64 multilib -- is it such a good idea
to move the library from /usr/lib to /opt/lightscribe/lib?
Comment 25 Wolfram Schlich (RETIRED) gentoo-dev 2007-04-17 07:59:46 UTC
No comments? :(
Comment 26 Mario Fetka (geos_one) 2007-04-17 08:15:38 UTC
(In reply to comment #24)
> Guys, please have a look at my posting in the forums:
> http://forums.gentoo.org/viewtopic-p-3976632.html#3976632
> 
> What about amd64 multilib -- is it such a good idea
> to move the library from /usr/lib to /opt/lightscribe/lib?
> 
i think this binary soft should be plced in /opt
like opera acrobat ....
Comment 27 nm (RETIRED) gentoo-dev 2007-07-20 08:12:45 UTC
(In reply to comment #24)
> Guys, please have a look at my posting in the forums:
> http://forums.gentoo.org/viewtopic-p-3976632.html#3976632
> 
> What about amd64 multilib -- is it such a good idea
> to move the library from /usr/lib to /opt/lightscribe/lib?

Correct, binary packages not compiled from source such as this one should be placed only in /opt, as are things like firefox-bin, ut2004, opera, vmware, and the like, even on amd64 multilib systems like the one I run.

For the record, I've been using these packages using my own ebuild (unrelated to anything that has ever appeared on bugzie however) for some months, and they seem to work just fine, including the labeler, on my AMD64 machine.
Comment 28 Mike Bonar 2007-08-05 19:54:40 UTC
Any idea when this will make it into portage?
Comment 29 Markus Rathgeb 2007-10-01 21:51:12 UTC
I added this ebuilds to my overlay.
There are a few changes that are necessary:

app-cdr/4L-1.0_p6.ebuild
* remove virtual/x11 from RDEPEND
* changes lightscribe to liblightscribe (RDEPEND)

app-cdr/liblightscribe-1.4.142.1.ebuild renamed to
app-cdr/liblightscribe-1.10.13.1.ebuild
* change SRC_URI
Comment 30 Mario Fetka (geos_one) 2007-10-21 11:56:40 UTC
Created attachment 134011 [details]
app-cdr/liblightscribe-1.10.13.1.ebuild

a update & correct install of some files
Comment 31 Mario Fetka (geos_one) 2007-10-21 14:18:11 UTC
Created attachment 134033 [details]
app-cdr/liblightscribe-1.10.13.1.ebuild

add support for hires lable burning
Comment 32 Mario Fetka (geos_one) 2007-10-21 14:25:36 UTC
Created attachment 134035 [details]
app-cdr/lightscribe-simplelabeler-1.4.128.1.ebuild

initial ebuild for lightscribe.com simplelabeler installed into /opt/lightscribe/SimpleLabeler
Comment 33 Mario Fetka (geos_one) 2007-10-21 14:27:44 UTC
Created attachment 134037 [details]
app-cdr/lightscribe-lacie-1.0_p6.ebuild

update to the 4L package now installed into /opt/lightscribe/4L
also with 4L-cli link in /usr/bin
and desktop entry
Comment 34 Mario Fetka (geos_one) 2007-10-21 19:19:38 UTC
Created attachment 134067 [details]
app-cdr/liblightscribe-1.10.13.1.ebuild

correct error with Enhanced Contrast support and finish amd64 multilib
Comment 35 Mario Fetka (geos_one) 2007-10-21 19:20:47 UTC
Created attachment 134069 [details]
app-cdr/lightscribe-lacie-1.0_p6.ebuild

add amd64 multilib support
Comment 36 Mario Fetka (geos_one) 2007-10-21 19:21:32 UTC
Created attachment 134070 [details]
app-cdr/lightscribe-simplelabeler-1.4.128.1.ebuild

add amd64 multilib support
Comment 37 Markus Rathgeb 2007-10-22 00:44:43 UTC
I believe the description of simplelabeler and lacie contain a typing mistage.
(GIU vs. GUI).
Comment 38 Mario Fetka (geos_one) 2007-10-22 01:05:41 UTC
(In reply to comment #37)
> I believe the description of simplelabeler and lacie contain a typing mistage.
> (GIU vs. GUI).
> 
ok corrected locally no upload as this is not a bug in the functionallity

(http://ftp.mars.arge.at/pub/overlay/linamh-overlay.xml)
Comment 39 Jouni Rinne 2007-11-22 18:50:54 UTC
Created attachment 136695 [details]
app-cdr/liblightscribe-1.10.19.1 ebuild

Updated ebuild to 1.10.19.1
Comment 40 Jouni Rinne 2007-11-22 18:52:59 UTC
Created attachment 136697 [details]
app-cdr/lightscribe-simplelabeler-1.10.19.1 ebuild

Updated ebuild to 1.10.19.1
Comment 41 Jouni Rinne 2007-11-22 18:56:23 UTC
Created attachment 136698 [details]
app-cdr/lightscribe-lacie-1.0_p6-r1 ebuild

Added a wrapper for 4L-gui
Comment 42 Mario Fetka (geos_one) 2007-11-23 13:34:40 UTC
Created attachment 136762 [details]
app-cdr/liblightscribe-1.10.19.1.ebuild

updated ebuild with build sample prog lsprint installed into /opt/bin
Comment 43 Mario Fetka (geos_one) 2007-11-23 13:36:38 UTC
Created attachment 136763 [details]
app-cdr/lightscribe-lacie-1.0_p6-r1.ebuild

updated ebuild with wrapper & links/wrapper now in /opt/bin
Comment 44 Mario Fetka (geos_one) 2007-11-23 13:38:12 UTC
Created attachment 136764 [details]
app-cdr/lightscribe-simplelabeler-1.10.19.1.ebuild

updated ebuild with wrapper in /opt/bin
Comment 45 Noel Bennett 2007-12-21 13:14:23 UTC
Created attachment 139038 [details]
Simple version upgrade

Updated the lightscribe ebuild from the wschlich-testing overlay to accomodate a new version. Just a simple version number change in the filename.
Comment 46 Noel Bennett 2007-12-21 13:17:34 UTC
Created attachment 139039 [details]
Upgraded the version & name of downloaded file

Another version upgrade. Appears that lightscribe.com changed the file name for the lightscribeSimplelabeler to lightscribeApplications, so the MY_P variable in the ebuild was altered to reflect it. Other than the version number, nothing else was altered. Original ebuild is from the wschlich-testing overlay.
Comment 47 Mario Fetka (geos_one) 2008-02-06 21:18:04 UTC
Created attachment 142847 [details]
app-cdr/liblightscribe-1.12.29.2.ebuild

this is the update the xres/sres/res less liblightscribe
Comment 48 Jiri Tyr 2008-04-15 08:48:27 UTC
I just install app-cdr/lightscribe-simplelabeler on my amd64 and it works well. Please, could you mark the ebuilds as ~amd64?
Comment 49 thewtex 2008-05-21 13:58:52 UTC
I did have it working, but now it seems there is a conflict in liblightscribe.so.1 looking for libstdc++.so.5 and libstdc++.so.6.  Can anyone confirm?  Anyone have a fix?

Frickin' closed source piece...
Comment 50 Roger 2008-09-03 08:15:12 UTC
Anybody consider pushing the newer lightscribe ebuilds to portage?

(Hint, the currently published lightscribe ebuild versions are so old, the binary downloads no longer exist.)
Comment 51 Mario Fetka (geos_one) 2008-09-03 08:24:50 UTC
Created attachment 164443 [details]
app-cdr/liblightscribe-1.14.19.1.ebuild

Update ebuild
Comment 52 Mario Fetka (geos_one) 2008-09-03 08:25:34 UTC
Created attachment 164444 [details]
app-cdr/lightscribe-lacie-1.0_p6-r1.ebuild
Comment 53 Mario Fetka (geos_one) 2008-09-03 08:26:39 UTC
Created attachment 164445 [details]
app-cdr/lightscribe-simplelabeler-1.10.23.1.ebuild

updated ebuilds repoman cleanup
Comment 54 Mario Fetka (geos_one) 2008-09-03 08:27:43 UTC
Created attachment 164446 [details, diff]
files/liblightscribe-gcc43-1.patch

patch to compile sample with gcc 4.3
Comment 55 Roger 2008-11-10 23:03:33 UTC
# ebuild lightscribe-simplelabeler-1.10.23.1.ebuild digest
>>> Downloading 'http://download.lightscribe.com/ls/lightscribeApplications-1.10.23.1-linux-2.6-intel.rpm'
--2008-11-10 14:01:53--  http://download.lightscribe.com/ls/lightscribeApplications-1.10.23.1-linux-2.6-intel.rpm
Resolving download.lightscribe.com... 209.112.195.210, 209.112.195.204
Connecting to download.lightscribe.com|209.112.195.210|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2008-11-10 14:01:55 ERROR 404: Not Found.

No digest file available and download failed.

!!! Couldn't download 'lightscribeApplications-1.10.23.1-linux-2.6-intel.rpm'. Aborting.
!!! File lightscribeApplications-1.10.23.1-linux-2.6-intel.rpm doesn't exist, can't update Manifest
localhost2 lightscribe-simplelabeler # vi lightscribe-simplelabeler-1.10.23.1.ebuild
Comment 56 Roger 2008-11-10 23:03:44 UTC
# ebuild liblightscribe-1.14.19.1.ebuild digest
>>> Downloading 'http://download.lightscribe.com/ls/lightscribePublicSDK-1.14.19.1-linux-2.6-intel.rpm'
--2008-11-10 14:03:22--  http://download.lightscribe.com/ls/lightscribePublicSDK-1.14.19.1-linux-2.6-intel.rpm
Resolving download.lightscribe.com... 209.112.195.210, 209.112.195.204
Connecting to download.lightscribe.com|209.112.195.210|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2008-11-10 14:03:23 ERROR 404: Not Found.

No digest file available and download failed.

!!! Couldn't download 'lightscribePublicSDK-1.14.19.1-linux-2.6-intel.rpm'. Aborting.
!!! File lightscribePublicSDK-1.14.19.1-linux-2.6-intel.rpm doesn't exist, can't update Manifest
Comment 57 Mario Fetka (geos_one) 2008-11-11 08:03:39 UTC
(In reply to comment #56)
> # ebuild liblightscribe-1.14.19.1.ebuild digest
> >>> Downloading 'http://download.lightscribe.com/ls/lightscribePublicSDK-1.14.19.1-linux-2.6-intel.rpm'
> --2008-11-10 14:03:22-- 
> http://download.lightscribe.com/ls/lightscribePublicSDK-1.14.19.1-linux-2.6-intel.rpm
> Resolving download.lightscribe.com... 209.112.195.210, 209.112.195.204
> Connecting to download.lightscribe.com|209.112.195.210|:80... connected.
> HTTP request sent, awaiting response... 404 Not Found
> 2008-11-10 14:03:23 ERROR 404: Not Found.
> 
> No digest file available and download failed.
> 
> !!! Couldn't download 'lightscribePublicSDK-1.14.19.1-linux-2.6-intel.rpm'.
> Aborting.
> !!! File lightscribePublicSDK-1.14.19.1-linux-2.6-intel.rpm doesn't exist,
> can't update Manifest
> 

i will make the ebuilds fetch restrict
Comment 58 Mario Fetka (geos_one) 2008-11-14 17:57:23 UTC
Created attachment 171733 [details]
app-cdr/lightscribe-simplelabeler-1.10.19.1.ebuild

need to downgrade as lightscribe.com isn't hosting the new version 
this ebuild is fetch restrict.
Comment 59 Mario Fetka (geos_one) 2008-11-14 18:31:03 UTC
Created attachment 171737 [details]
app-cdr/liblightscribe-1.14.32.1.ebuild

fetch restrict ebuild and remove build of lsprint (moved to lightscribe-lsprint)
Comment 60 Mario Fetka (geos_one) 2008-11-14 18:32:45 UTC
Created attachment 171740 [details]
app-cdr/lightscribe-lsprint-1.14.32.1.ebuild

new ebuild for lsprint sample of the lightscribe SDK
Comment 61 Roger 2008-11-15 05:55:36 UTC
Swear to God, people in charge of the release versioning for lightscribe must be windows developers.

Mario, looks like you've done a wonderful job at maintaining this series of ebuilds.

The *BEST* solution right now to stabalize this ebuild, should be to mirror the lightscribe downloads to another location besides relying on the borked lightscribe.com host.

Since there's no registration, I don't see why they would hinder the mirroring of the software.  At most, think they'd frown upon it as it's only redirecting their server visits.

Nor I can I see any reason why they're changing the download url location so frequently, besides the fact, they're using a windows' technique for their release versioning (which is a major SNAFU)!
Comment 62 Mario Fetka (geos_one) 2008-11-15 07:55:05 UTC
(In reply to comment #61)
> Swear to God, people in charge of the release versioning for lightscribe must
> be windows developers.
> 
> Mario, looks like you've done a wonderful job at maintaining this series of
> ebuilds.

thx 

> 
> The *BEST* solution right now to stabalize this ebuild, should be to mirror the
> lightscribe downloads to another location besides relying on the borked
> lightscribe.com host.
> 
> Since there's no registration, I don't see why they would hinder the mirroring
> of the software.  At most, think they'd frown upon it as it's only redirecting
> their server visits.
> 
> Nor I can I see any reason why they're changing the download url location so
> frequently, besides the fact, they're using a windows' technique for their
> release versioning (which is a major SNAFU)!
> 

you have to accept the License that's the only reason for for there changing URLs 
and this is also the reason that we can't mirror the rpm's.  
Comment 63 Jouni Rinne 2009-02-13 12:42:43 UTC
Created attachment 181861 [details]
liblightscribe-1.18.1.1 ebuild

Liblightscribe has been updated to 1.18.1.1 (as of January 30), here's an updated ebuild
Comment 64 Jouni Rinne 2009-02-13 12:48:31 UTC
When I run either lightscribe-simplelabeler or lightscribe-lacie from command line, I get the following error:

Using /etc/lightscribe.rc
Parse error on line 2of /etc/lightscribe.rc:syntax error

But in spite of this, both seems to be running all right, anyway.
Comment 65 Mario Fetka (geos_one) 2009-02-13 13:11:24 UTC
(In reply to comment #64)
> When I run either lightscribe-simplelabeler or lightscribe-lacie from command
> line, I get the following error:
> 
> Using /etc/lightscribe.rc
> Parse error on line 2of /etc/lightscribe.rc:syntax error
> 
> But in spite of this, both seems to be running all right, anyway.
> 

plz post your /etc/lightscribe.rc
Comment 66 thewtex 2009-02-16 01:06:24 UTC
This still is not working for me on amd64.  Tried the new ebuild and same deal.  

Some info:
 4L-gui
4L-cli: /usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.6/32/libstdc++.so.5: no version information available (required by /usr/lib32/liblightscribe.so.1)                                    
4L-cli: /usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.6/32/libstdc++.so.5: no version information available (required by /usr/lib32/liblightscribe.so.1)                                    
*** glibc detected *** 4L-cli: free(): invalid pointer: 0x0806c9a8 ***
======= Backtrace: =========    
...                                 

# gcc-config -l
 [1] i686-pc-linux-gnu-4.3.1
 [2] i686-pc-linux-gnu-4.3.2 *

 [3] x86_64-pc-linux-gnu-3.3.6
 [4] x86_64-pc-linux-gnu-4.1.1
 [5] x86_64-pc-linux-gnu-4.2.2
 [6] x86_64-pc-linux-gnu-4.2.3
 [7] x86_64-pc-linux-gnu-4.2.4
 [8] x86_64-pc-linux-gnu-4.3.1
 [9] x86_64-pc-linux-gnu-4.3.2 *

# ldd -v liblightscribe.so.1 
./liblightscribe.so.1: /usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.6/32/libstdc++.so.5: no version information available (required by ./liblightscribe.so.1)
./liblightscribe.so.1: /usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.6/32/libstdc++.so.5: no version information available (required by ./liblightscribe.so.1)
        linux-gate.so.1 =>  (0xffffe000)
        libstdc++.so.5 => /usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.6/32/libstdc++.so.5 (0xf7c51000)
        libm.so.6 => /lib32/libm.so.6 (0xf7c2b000)
        libc.so.6 => /lib32/libc.so.6 (0xf7aed000)
        libgcc_s.so.1 => /lib32/libgcc_s.so.1 (0xf7adf000)
        /lib/ld-linux.so.2 (0xf7f74000)

        Version information:
        ./liblightscribe.so.1:
                libm.so.6 (GLIBC_2.0) => /lib32/libm.so.6
                libc.so.6 (GLIBC_2.2.4) => /lib32/libc.so.6
                libc.so.6 (GLIBC_2.2) => /lib32/libc.so.6
                libc.so.6 (GLIBC_2.1) => /lib32/libc.so.6
                libc.so.6 (GLIBC_2.1.3) => /lib32/libc.so.6
                libc.so.6 (GLIBC_2.0) => /lib32/libc.so.6
                libstdc++.so.5 (CXXABI_1.2) => not found
                libstdc++.so.5 (GLIBCPP_3.2) => not found
        /usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.6/32/libstdc++.so.5:
                libgcc_s.so.1 (GLIBC_2.0) => /lib32/libgcc_s.so.1
                libgcc_s.so.1 (GCC_3.3) => /lib32/libgcc_s.so.1
                libgcc_s.so.1 (GCC_3.0) => /lib32/libgcc_s.so.1
                libc.so.6 (GLIBC_2.3) => /lib32/libc.so.6
                libc.so.6 (GLIBC_2.1.3) => /lib32/libc.so.6
                libc.so.6 (GLIBC_2.1) => /lib32/libc.so.6
                libc.so.6 (GLIBC_2.0) => /lib32/libc.so.6
                libc.so.6 (GLIBC_2.2) => /lib32/libc.so.6
        /lib32/libm.so.6:
                ld-linux.so.2 (GLIBC_PRIVATE) => /lib/ld-linux.so.2
                libc.so.6 (GLIBC_2.1.3) => /lib32/libc.so.6
                libc.so.6 (GLIBC_2.0) => /lib32/libc.so.6
        /lib32/libc.so.6:
                ld-linux.so.2 (GLIBC_PRIVATE) => /lib/ld-linux.so.2
                ld-linux.so.2 (GLIBC_2.3) => /lib/ld-linux.so.2
                ld-linux.so.2 (GLIBC_2.1) => /lib/ld-linux.so.2
        /lib32/libgcc_s.so.1:
                libc.so.6 (GLIBC_2.1.3) => /lib32/libc.so.6
                libc.so.6 (GLIBC_2.2.4) => /lib32/libc.so.6
                libc.so.6 (GLIBC_2.0) => /lib32/libc.so.6

# strings libstdc++.so.5  | grep  GLIBCPP_3.2
GLIBCPP_3.2
GLIBCPP_3.2.1
GLIBCPP_3.2.2
GLIBCPP_3.2.3
GLIBCPP_3.2.4

# strings libstdc++.so.5  | grep  CXXABI_1.2
CXXABI_1.2
CXXABI_1.2.1
CXXABI_1.2.2

paludis --query libstdc++
* virtual/libstdc++
    installed:               3.3* {:3.3} 
    funtoo:                  3.3 {:3.3} 
    Description:             Virtual for the GNU Standard C++ Library
    Homepage:                http://www.gentoo.org/proj/en/base/
    License:                 GPL-2
    Installed time:          Mon Feb 16 01:00:54 2009
    Use flags:               
    From repositories:       funtoo
    Installed using:         paludis-0.34.2
(tried reinstalling in recently, but it looks like it is just a binary anyway.)

From what I can tell from googling, this may be due to the binary being built with a different compiler version.  However, it is working for other people?  I can get the drive to work if I fire up a 32-bit Sabayon Live CD that comes with it, but rebooting is annoying.
Comment 67 thewtex 2009-02-16 01:10:13 UTC
(In reply to comment #64)
> When I run either lightscribe-simplelabeler or lightscribe-lacie from command
> line, I get the following error:
> 
> Using /etc/lightscribe.rc
> Parse error on line 2of /etc/lightscribe.rc:syntax error
> 
> But in spite of this, both seems to be running all right, anyway.
> 

There were changes to the config, be sure to run dispatch-config or similar.
Comment 68 Roger 2009-02-16 03:11:24 UTC
Is it just me, or are the file versions requested by the above ebuilds completely wrong?

liblightscribe-1.14.32.1.ebuild, lightscribe-simplelabeler-1.10.19.1.ebuild


For example, one ebuild wants:
lightscribePublicSDK-1.14.19.1-linux-2.6-intel.rpm

But the lightscribe.com website provides:
lightscribePublicSDK-1.14.32.1-linux-2.6-intel.rpm

This is why the download locations are provided statically within the ebuilds when the website maintainers refuse to use ftp or selective version downloads.  Irritating.

At this point, think these packages should be mirrored elsewhere if the website maintainers can't work with package managers.  Probably a main reason why these ebuilds have yet to be included within Portage.

Even though I have a lightscribe CD/DVD, I'll never use this software if the lightscribe.com website can't work with package managers more effectively. :-(


Several years now and still not easily resolved.
Comment 69 Mario Fetka (geos_one) 2009-02-16 07:52:59 UTC
Created attachment 182210 [details]
app-cdr//liblightscribe-1.18.1.1.ebuild
Comment 70 Mario Fetka (geos_one) 2009-02-16 07:56:36 UTC
Created attachment 182213 [details]
app-cdr/lightscribe-lsprint-1.14.32.1.ebuild

update
Comment 71 Mario Fetka (geos_one) 2009-02-16 08:00:53 UTC
(In reply to comment #68)
> Several years now and still not easily resolved.
> 

the packages cant be mirrored you have to accept the license

the best sollution for this software would be the nvidia way binary blob with wrapper.

so i am asking to bother upstream for aa more user friendly distribution way.
Comment 72 Mario Fetka (geos_one) 2009-02-16 08:09:03 UTC
(In reply to comment #66)
> This still is not working for me on amd64.  Tried the new ebuild and same deal. 
> 
> Some info:
>  4L-gui
> 4L-cli: /usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.6/32/libstdc++.so.5: no
> version information available (required by /usr/lib32/liblightscribe.so.1)      
> 4L-cli: /usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.6/32/libstdc++.so.5: no
> version information available (required by /usr/lib32/liblightscribe.so.1)      
> *** glibc detected *** 4L-cli: free(): invalid pointer: 0x0806c9a8 ***

plz install app-emulation/emul-linux-x86-compat
Comment 73 thewtex 2009-02-17 05:18:38 UTC
(In reply to comment #72)
> (In reply to comment #66)
> > This still is not working for me on amd64.  Tried the new ebuild and same deal. 
> > 
> > Some info:
> >  4L-gui
> > 4L-cli: /usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.6/32/libstdc++.so.5: no
> > version information available (required by /usr/lib32/liblightscribe.so.1)      
> > 4L-cli: /usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.6/32/libstdc++.so.5: no
> > version information available (required by /usr/lib32/liblightscribe.so.1)      
> > *** glibc detected *** 4L-cli: free(): invalid pointer: 0x0806c9a8 ***
> 
> plz install app-emulation/emul-linux-x86-compat
> 

Thanks for the tip.  It was already installed.  The problem seems to be in the LDPATH variable order in /etc/env.d.  the gcc-3.3.6 come at 05 before 99libstdc++32.  This sets the order /etc/ld.so.conf.  Hence, I need to do
 LD_LIBRARY_PATH=/usr/lib32/libstdc++-v3 4L-gui
to get it to run.  Maybe RDEPEND should block <sys-libs/gcc-4 ?
Comment 74 Jouni Rinne 2009-02-24 19:19:01 UTC
I had problems with liblightscribe-1.18.1.1 and revdep-rebuild, the latter wanting to rebuild liblightscribe every time, with message:

* broken /opt/liblightscribe/lib32/liblightscribe.so.1 (no version information available)

I googled around a little for the reason of the error message, and found out, as crazy as it sounds, that just adding one symlink in /opt/liblightscribe/lib32

ln -s liblightscribe.so.1 liblightscribe.so.0.0.1

satisfies revdep-rebuild, so it doesn't stumble on liblightscribe.so every time...
Comment 75 Mario Fetka (geos_one) 2009-02-24 20:51:35 UTC
Created attachment 183068 [details]
app-cdr/liblightscribe-1.18.1.1-r1.ebuild

Update for libstdc++.so.5: no version information available
Comment 76 Mario Fetka (geos_one) 2009-02-24 20:53:08 UTC
Created attachment 183069 [details]
app-cdr/lightscribe-lacie-1.0_p6-r2.ebuild

Update for libstdc++.so.5: no version information available
Comment 77 Mario Fetka (geos_one) 2009-02-24 20:54:01 UTC
Created attachment 183070 [details]
app-cdr/lightscribe-simplelabeler-1.10.19.1-r1.ebuild

Update for libstdc++.so.5: no version information available
Comment 78 Mario Fetka (geos_one) 2009-02-24 21:24:05 UTC
(In reply to comment #74)
> I had problems with liblightscribe-1.18.1.1 and revdep-rebuild, the latter
> wanting to rebuild liblightscribe every time, with message:
> 
> * broken /opt/liblightscribe/lib32/liblightscribe.so.1 (no version information
> available)
> 
> I googled around a little for the reason of the error message, and found out,
> as crazy as it sounds, that just adding one symlink in
> /opt/liblightscribe/lib32
> 
> ln -s liblightscribe.so.1 liblightscribe.so.0.0.1
> 
> satisfies revdep-rebuild, so it doesn't stumble on liblightscribe.so every
> time...
> 

also corrected your problem in my ebuilds
Comment 79 thewtex 2009-02-25 06:32:09 UTC
Tested the new ebuilds, Mario.  Works well.  Thank you!
Comment 80 Tyler Schwartz 2009-03-15 20:28:55 UTC
I used the most recent ebuilds and corresponding files, and I still cannot detect my lightscribe drive:

#4L-cli enumerate
Using /etc/lightscribe.rc
Segmentation fault

Does this indicate a bug/problem with the software, or kernel, or hardware?  I am running linux-2.6.27-gentoo-r7.

------------------------------------

#emerge --info
Portage 2.1.6.4 (default/linux/x86/2008.0, gcc-4.1.1, glibc-2.6.1-r0, 2.6.27-gentoo-r7 i686)
=================================================================
System uname: Linux-2.6.27-gentoo-r7-i686-AMD_Turion-tm-_64_Mobile_Technology_ML-34-with-glibc2.0
Timestamp of tree: Sat, 14 Mar 2009 16:00:01 +0000
app-shells/bash:     3.2_p17
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r6, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.4.6-r1
sys-apps/baselayout: 1.12.9-r2
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirrors.64hosting.com/pub/mirrors/gentoo/ ftp://fido.online.kz/gentoo/pub http://fido.online.kz/gentoo http://open-systems.ufl.edu/mirrors/gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.guyshouse/gentoo-portage"
USE="X a52 aac acl acpi adns alsa amrnb amrwb ao arts aspell avi battery berkdb bitmap-fonts bluetooth bzip2 cairo cddb cdparanoia cdr cli cpufreq cracklib crypt cups dbus dia divx dlloader dri dvd dvdnav dvdr dvdread eds emboss encode esd ext3 fam firefox fortran ftp gdbm gif gimp gpm gps gstreamer gtk hal iconv ipv6 irda isdnlog jack java jpeg kde kdeprefix kerberos lame lcms ldap libg++ lm_sensors mad midi mikmod mozdevelop mozdom mp3 mpeg msn mudflap mysql nas ncurses netjack nis nls nptl nptlonly nsplugin ntfs ogg opengl openmp oss pam pcmcia pcre pda pdf pdflib perl png portaudio ppds pppd python qt3 qt4 quicktime rar readline reflection reiserfs replytolist samba sasl scanner sdl sensord session snmp sound spell spl ssl startup-notification stream svg sysfs syslog tcpd tiff truetype truetype-fonts type1-fonts udev unicode usb vantgo vim-syntax vorbis wifi win32codecs wmp x86 xinerama xml xorg xprint xscreensaver xv xvid zlib" ALSA_CARDS="usb-audio atiixp" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 81 Mario Fetka (geos_one) 2009-03-16 14:30:09 UTC
(In reply to comment #80)
> I used the most recent ebuilds and corresponding files, and I still cannot
> detect my lightscribe drive:
> 
> #4L-cli enumerate
> Using /etc/lightscribe.rc
> Segmentation fault
> 
> Does this indicate a bug/problem with the software, or kernel, or hardware?  I
> am running linux-2.6.27-gentoo-r7.
> 
excuse me for responding that late (real live want's its time)

could you plz upload the output of 

# strace 4L-cli enumerate

if you dont have strace on your system plz 'emerge dev-util/strace'
Comment 82 Mario Fetka (geos_one) 2009-03-16 22:21:43 UTC
Created attachment 185229 [details]
app-cdr/lliblightscribe-1.18.2.1.ebuild

Bump to new version and now EAPI=2
Comment 83 Mario Fetka (geos_one) 2009-03-16 22:23:48 UTC
Created attachment 185230 [details]
app-cdr/lightscribe-lacie-1.0_p6-r3.ebuild

Now EAPI=2
Comment 84 Mario Fetka (geos_one) 2009-03-16 22:25:31 UTC
Created attachment 185231 [details]
app-cdr/lightscribe-simplelabeler-1.10.19.1-r2.ebuild

Now EAPI=2
Comment 85 Tyler Schwartz 2009-03-17 03:53:08 UTC
Created attachment 185255 [details]
strace 4L-cli enumerate

I haven't yet tried the newest ebuilds (I needed to upgrade QT which is now compiling), but attached is the strace (it was too big to post inline)
Comment 86 Tyler Schwartz 2009-03-17 15:35:09 UTC
I updated to the newest version, but still get a segmentation fault.

Any thoughts?  (see strace attachment)

(In reply to comment #85)
> Created an attachment (id=185255) [edit]
> strace 4L-cli enumerate
> 
> I haven't yet tried the newest ebuilds (I needed to upgrade QT which is now
> compiling), but attached is the strace (it was too big to post inline)
> 

Comment 87 Mario Fetka (geos_one) 2009-03-18 10:58:58 UTC
it looks like a permission problem or a glibc problem
cant read it out of the strace

but it could be this problem ?
Bug: #194076 #c16
if you can verify that this helps plz let me know so i can bump the requred gcc version.

(In reply to comment #86)
> I updated to the newest version, but still get a segmentation fault.
> 
> Any thoughts?  (see strace attachment)
Comment 88 Mario Fetka (geos_one) 2009-03-18 11:02:29 UTC
(In reply to comment #87)
> it looks like a permission problem or a glibc problem
> cant read it out of the strace
> 
> but it could be this problem ?
> Bug: #194076 #c16
> if you can verify that this helps plz let me know so i can bump the requred gcc
> version.
> 
damm not comment 16 -> 14
Comment 89 Tyler Schwartz 2009-03-20 06:20:04 UTC
upgrading gcc version did not affect the problem - still getting a segmentation fault, even after recompiling the lightscribe packages with the new gcc version.
Comment 90 Mario Fetka (geos_one) 2009-03-20 10:00:19 UTC
(In reply to comment #89)
> upgrading gcc version did not affect the problem - still getting a segmentation
> fault, even after recompiling the lightscribe packages with the new gcc
> version.
> 

did you also select the gcc version ?
Comment 91 Tyler Schwartz 2009-03-20 13:08:11 UTC
Yes, I did switch versions properly.  Also, while reinstalling the ebuilds I noticed some assertion errors - not sure if they were there before, but it didn't prevent the package from emerging:

# emerge -a liblightscribe lightscribe-lacie lightscribe-simplelabeler

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   Rf  ] app-cdr/liblightscribe-1.18.2.1 
[ebuild   R   ] app-cdr/lightscribe-lacie-1.0_p6-r3 
[ebuild   Rf  ] app-cdr/lightscribe-simplelabeler-1.10.19.1-r2 

Would you like to merge these packages? [Yes/No] y

>>> Verifying ebuild manifests

>>> Starting parallel fetch

>>> Emerging (1 of 3) app-cdr/liblightscribe-1.18.2.1 from unknown repo
 * lightscribePublicSDK-1.14.32.1-linux-2.6-intel.rpm RMD160 SHA1 SHA256 size ;-) ...     [ ok ]
 * lightscribe-1.18.2.1-linux-2.6-intel.rpm RMD160 SHA1 SHA256 size ;-) ...               [ ok ]
 * checking ebuild checksums ;-) ...                                                      [ ok ]
 * checking auxfile checksums ;-) ...                                                     [ ok ]
 * checking miscfile checksums ;-) ...                                                    [ ok ]
>>> Unpacking source...
>>> Unpacking lightscribePublicSDK-1.14.32.1-linux-2.6-intel.rpm to /var/tmp/portage/app-cdr/liblightscribe-1.18.2.1/work
>>> Unpacking lightscribe-1.18.2.1-linux-2.6-intel.rpm to /var/tmp/portage/app-cdr/liblightscribe-1.18.2.1/work
>>> Source unpacked in /var/tmp/portage/app-cdr/liblightscribe-1.18.2.1/work
>>> Configuring source in /var/tmp/portage/app-cdr/liblightscribe-1.18.2.1/work ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/app-cdr/liblightscribe-1.18.2.1/work ...
>>> Source compiled.
>>> Test phase [not enabled]: app-cdr/liblightscribe-1.18.2.1

>>> Install liblightscribe-1.18.2.1 into /var/tmp/portage/app-cdr/liblightscribe-1.18.2.1/image/ category app-cdr
>>> Completed installing liblightscribe-1.18.2.1 into /var/tmp/portage/app-cdr/liblightscribe-1.18.2.1/image/

xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.
/usr/lib/portage/bin/ecompressdir: line 13:  3878 Done                    find "${D}" -name '*.ecompress.dir' -print0
      3879                       | sed -e 's:\.ecompress\.dir::g' -e "s:${D}:/:g"
      3880 Aborted                 | ${XARGS} -0 ecompressdir
xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.
/usr/lib/portage/bin/ecompressdir: line 13:  3881 Done                    find "${D}" -name '*.ecompress.skip' -print0
      3882 Aborted                 | ${XARGS} -0 rm -f
xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.
/usr/lib/portage/bin/ecompress: line 23:  3887 Done                    find "${D}" -name '*.ecompress.file' -print0
      3888                       | sed -e 's:\.ecompress\.file::g'
      3889 Aborted                 | ${XARGS} -0 ecompress
xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.
/usr/lib/portage/bin/ecompress: line 23:  3890 Done                    find "${D}" -name '*.ecompress.file' -print0
      3891 Aborted                 | ${XARGS} -0 rm -f

>>> Installing app-cdr/liblightscribe-1.18.2.1
 * 
 * This version also support Enhanced Contrast
 * You can activate it by running:
 * /opt/lightscribe/lib/lightscribe/elcu.sh
 * 

>>> Emerging (2 of 3) app-cdr/lightscribe-lacie-1.0_p6-r3 from unknown repo
 * lacie.png RMD160 SHA1 SHA256 size ;-) ...                                              [ ok ]
 * 4L-1.0-r6.i586.rpm RMD160 SHA1 SHA256 size ;-) ...                                     [ ok ]
 * checking ebuild checksums ;-) ...                                                      [ ok ]
 * checking auxfile checksums ;-) ...                                                     [ ok ]
 * checking miscfile checksums ;-) ...                                                    [ ok ]
>>> Unpacking source...
>>> Unpacking lacie.png to /var/tmp/portage/app-cdr/lightscribe-lacie-1.0_p6-r3/work
unpack lacie.png: file format not recognized. Ignoring.
xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.
/usr/lib/portage/bin/ebuild.sh: line 331:  4476 Done                    find . -mindepth 1 -maxdepth 1 ! -type l -print0
      4477 Aborted                 | ${XARGS} -0 chmod -fR a+rX,u+w,g-w,o-w
>>> Unpacking 4L-1.0-r6.i586.rpm to /var/tmp/portage/app-cdr/lightscribe-lacie-1.0_p6-r3/work
>>> Source unpacked in /var/tmp/portage/app-cdr/lightscribe-lacie-1.0_p6-r3/work
>>> Configuring source in /var/tmp/portage/app-cdr/lightscribe-lacie-1.0_p6-r3/work ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/app-cdr/lightscribe-lacie-1.0_p6-r3/work ...
>>> Source compiled.
>>> Test phase [not enabled]: app-cdr/lightscribe-lacie-1.0_p6-r3

>>> Install lightscribe-lacie-1.0_p6-r3 into /var/tmp/portage/app-cdr/lightscribe-lacie-1.0_p6-r3/image/ category app-cdr
>>> Completed installing lightscribe-lacie-1.0_p6-r3 into /var/tmp/portage/app-cdr/lightscribe-lacie-1.0_p6-r3/image/

xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.
/usr/lib/portage/bin/ecompressdir: line 13:  5070 Done                    find "${D}" -name '*.ecompress.dir' -print0
      5071                       | sed -e 's:\.ecompress\.dir::g' -e "s:${D}:/:g"
      5072 Aborted                 | ${XARGS} -0 ecompressdir
xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.
/usr/lib/portage/bin/ecompressdir: line 13:  5073 Done                    find "${D}" -name '*.ecompress.skip' -print0
      5074 Aborted                 | ${XARGS} -0 rm -f
xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.
/usr/lib/portage/bin/ecompress: line 23:  5079 Done                    find "${D}" -name '*.ecompress.file' -print0
      5080                       | sed -e 's:\.ecompress\.file::g'
      5081 Aborted                 | ${XARGS} -0 ecompress
xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.
/usr/lib/portage/bin/ecompress: line 23:  5082 Done                    find "${D}" -name '*.ecompress.file' -print0
      5083 Aborted                 | ${XARGS} -0 rm -f

>>> Installing app-cdr/lightscribe-lacie-1.0_p6-r3

>>> Emerging (3 of 3) app-cdr/lightscribe-simplelabeler-1.10.19.1-r2 from unknown repo
 * lightscribeApplications-1.10.19.1-linux-2.6-intel.rpm RMD160 SHA1 SHA256 size ;-) ...  [ ok ]
 * checking ebuild checksums ;-) ...                                                      [ ok ]
 * checking auxfile checksums ;-) ...                                                     [ ok ]
 * checking miscfile checksums ;-) ...                                                    [ ok ]
>>> Unpacking source...
>>> Unpacking lightscribeApplications-1.10.19.1-linux-2.6-intel.rpm to /var/tmp/portage/app-cdr/lightscribe-simplelabeler-1.10.19.1-r2/work
>>> Source unpacked in /var/tmp/portage/app-cdr/lightscribe-simplelabeler-1.10.19.1-r2/work
>>> Configuring source in /var/tmp/portage/app-cdr/lightscribe-simplelabeler-1.10.19.1-r2/work ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/app-cdr/lightscribe-simplelabeler-1.10.19.1-r2/work ...
>>> Source compiled.
>>> Test phase [not enabled]: app-cdr/lightscribe-simplelabeler-1.10.19.1-r2

>>> Install lightscribe-simplelabeler-1.10.19.1-r2 into /var/tmp/portage/app-cdr/lightscribe-simplelabeler-1.10.19.1-r2/image/ category app-cdr
>>> Completed installing lightscribe-simplelabeler-1.10.19.1-r2 into /var/tmp/portage/app-cdr/lightscribe-simplelabeler-1.10.19.1-r2/image/

xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.
/usr/lib/portage/bin/ecompressdir: line 13:  6292 Done                    find "${D}" -name '*.ecompress.dir' -print0
      6293                       | sed -e 's:\.ecompress\.dir::g' -e "s:${D}:/:g"
      6294 Aborted                 | ${XARGS} -0 ecompressdir
xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.
/usr/lib/portage/bin/ecompressdir: line 13:  6295 Done                    find "${D}" -name '*.ecompress.skip' -print0
      6296 Aborted                 | ${XARGS} -0 rm -f
xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.
/usr/lib/portage/bin/ecompress: line 23:  6301 Done                    find "${D}" -name '*.ecompress.file' -print0
      6302                       | sed -e 's:\.ecompress\.file::g'
      6303 Aborted                 | ${XARGS} -0 ecompress
xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.
/usr/lib/portage/bin/ecompress: line 23:  6304 Done                    find "${D}" -name '*.ecompress.file' -print0
      6305 Aborted                 | ${XARGS} -0 rm -f

>>> Installing app-cdr/lightscribe-simplelabeler-1.10.19.1-r2
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.
Comment 92 Mario Fetka (geos_one) 2009-03-20 13:35:59 UTC
(In reply to comment #91)
> Yes, I did switch versions properly.  Also, while reinstalling the ebuilds I
> noticed some assertion errors - not sure if they were there before, but it
> didn't prevent the package from emerging:
> 
the assert error are not related to lightscribe

could you plz post a new strace for this binonly software
(ok slowly i am running out of ideas)
Comment 93 Tyler Schwartz 2009-03-21 04:44:21 UTC
Created attachment 185703 [details]
strace 4L-cli enumerate (gcc433)

attached is new strace 4L-cli enumerate.  Thanks for you help so far!
Comment 94 Mario Fetka (geos_one) 2009-03-21 11:22:05 UTC
could everyone plz add a comment to
http://www.lightscribe.com/discussionBoards/index.aspx?g=posts&t=3448

so that we can get a more gentoo linux (or linux at all) compatible upstream package.

if. you found a typing error in the post to the forum let me know (mail me privat)
Comment 95 Mario Fetka (geos_one) 2009-03-21 11:27:53 UTC
(In reply to comment #93)
> Created an attachment (id=185703) [edit]
> strace 4L-cli enumerate (gcc433)
> 
> attached is new strace 4L-cli enumerate.  Thanks for you help so far!
> 
nothing new in the strace
ok now i am fishing
is the user you are running menber of the group wheel
is the kenel compiled with CONFIG_CHR_DEV_SG
is there something written to /var/log/messages
Comment 96 Tyler Schwartz 2009-03-22 05:22:56 UTC
in group wheel? yes
CONFIG_CHR_DEV_SG? yes
/var/log/messages? nothing

(In reply to comment #95)
> (In reply to comment #93)
> > Created an attachment (id=185703) [edit]
> > strace 4L-cli enumerate (gcc433)
> > 
> > attached is new strace 4L-cli enumerate.  Thanks for you help so far!
> > 
> nothing new in the strace
> ok now i am fishing
> is the user you are running menber of the group wheel
> is the kenel compiled with CONFIG_CHR_DEV_SG
> is there something written to /var/log/messages
> 

Comment 97 Mario Fetka (geos_one) 2009-03-24 14:26:03 UTC
Created attachment 186102 [details]
app-cdr/liblightscribe-1.18.3.2.ebuild

Bump
Comment 98 Mario Fetka (geos_one) 2009-03-24 15:59:39 UTC
(In reply to comment #96)
> in group wheel? yes
> CONFIG_CHR_DEV_SG? yes
> /var/log/messages? nothing
> 

i am guessing now

plz post useflags used by glibc
plz try to move to >=glibc-2.7
plz rebuild libstdc++-v3

damm binary only software.

Comment 99 Mario Fetka (geos_one) 2009-04-25 08:07:23 UTC
Created attachment 189368 [details]
app-cdr/liblightscribe-1.18.4.1.ebuild

this ebuild is binary patching a different name for libstdc++
it installs the provided libstdc++.so.5 as libstdcv3.so.5 and correct the name of the shared object
hope this will finally correct the problem with libstdc++-v3

the proper way to correct this would be a RUN_PATH and RPATH
but there is no way to inject this into a already compiled shared object
(and as usual upstream is dead for any kind of request)
Comment 100 Mario Fetka (geos_one) 2009-04-25 08:26:41 UTC
Created attachment 189370 [details]
app-cdr/lightscribe-lsprint-1.14.32.1-r1.ebuild

reorder compile parameter to work with --as-needed linkflag
Comment 101 Mario Fetka (geos_one) 2009-04-25 08:48:07 UTC
Created attachment 189371 [details]
app-cdr/lightscribe-lsprint-1.14.32.1-r2.ebuild

correct a 2 year old typo
Comment 102 Mario Fetka (geos_one) 2009-04-25 08:51:18 UTC
Created attachment 189373 [details]
app-cdr/liblightscribe-1.18.4.1-r1.ebuild

correct a 2 year old typo
Comment 103 Peter Alfredsen (RETIRED) gentoo-dev 2009-04-26 12:30:57 UTC
(In reply to comment #91)

> xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.
> /usr/lib/portage/bin/ecompressdir: line 13:  6292 Done                    find
> "${D}" -name '*.ecompress.dir' -print0
>       6293                       | sed -e 's:\.ecompress\.dir::g' -e
> "s:${D}:/:g"
>       6294 Aborted                 | ${XARGS} -0 ecompressdir
> xargs: xargs.c:447: main: Assertion `bc_ctl.arg_max <= (131072-2048)' failed.

Those errors come because of bug 255775. emerge -1 findutils should fix it.
Comment 104 Mario Fetka (geos_one) 2009-05-15 05:52:16 UTC
Created attachment 191313 [details]
app-cdr/liblightscribe-1.18.4.1-r2.ebuild

correct revdep-rebuild always wants to rebuild the lib
rename liblightscribe.so.1 to liblightscribe.so.0.0.1 and create the needed symlinks
Comment 105 Mario Fetka (geos_one) 2009-08-17 05:45:13 UTC
Created attachment 201499 [details]
app-cdr/liblightscribe-1.18.6.1.ebuild

new version
Comment 106 Mario Fetka (geos_one) 2009-08-27 12:15:42 UTC
Created attachment 202388 [details]
app-cdr/lightscribe-template-001.ebuild

the Offical Lightscribe Templates from the Design Center
Comment 107 Mario Fetka (geos_one) 2009-08-27 12:17:25 UTC
Created attachment 202389 [details]
app-cdr/lightscribe-lacie-1.0_p6-r4.ebuild

add a workaround for the 4L-cli root privileges requred (SetUID)
Comment 108 Mario Fetka (geos_one) 2009-08-27 12:19:11 UTC
Created attachment 202391 [details]
app-cdr/liblightscribe-1.18.6.1-r1.ebuild

correct sdk version and fix libinstall
Comment 109 Mario Fetka (geos_one) 2009-09-08 19:28:29 UTC
i have put my ebuilds also in a overlay more at the forum
http://forums.gentoo.org/viewtopic-p-5947545.html#5947545
Comment 110 Mario Fetka (geos_one) 2010-01-04 20:49:46 UTC
could someone plz add the keyword in inoverlay
and change the summery to a more general name like "Lighscribe (New Ebuild's)
because it contains more then ebuild
Comment 111 Mario Fetka (geos_one) 2010-01-04 20:50:34 UTC
More details for install
can be found on
http://linamh.mars.arge.at/wiki/Lightscribe

thx
Mario
Comment 112 Mario Fetka (geos_one) 2010-01-05 06:25:20 UTC
Created attachment 215227 [details]
app-cdr/liblightscribe-1.18.10.2-r1.ebuild

properly split prepare from install section
Comment 113 Mario Fetka (geos_one) 2010-01-05 06:26:59 UTC
Created attachment 215228 [details]
app-cdr/lightscribe-template-001-r1.ebuild

remove not needed inherits
Comment 114 Mario Fetka (geos_one) 2010-01-05 06:40:45 UTC
Created attachment 215231 [details]
licenses/lightscribe

the txt version of the rtf library license.
Comment 115 Mario Fetka (geos_one) 2010-01-05 06:41:47 UTC
Created attachment 215233 [details]
licenses/lightscribeSDK

the txt version of the rtf SDk license
Comment 116 Mario Fetka (geos_one) 2010-01-05 06:46:43 UTC
Created attachment 215234 [details]
app-cdr/lightscribe-lsprint-1.18.6.1.ebuild

version bump and corrected link problem with --as-needed link flag
Comment 117 Markos Chandras (RETIRED) gentoo-dev 2010-02-02 13:39:56 UTC
app-cdr/liblightscribe is now to sunrise overlay
Comment 118 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2010-02-02 21:14:30 UTC
I suggest moving the library into dev-libs/, that's where libburn, libisofs and other burning-related libs are in gentoo-x86.
Comment 119 Anton Bolshakov 2013-04-06 10:40:47 UTC
Guys, I lost interest in that software and closing the bug with "Obsolete" status. That's how all CD software should be marked anyway ;-]

Feel free to open a new one on your own if you still use it.
Comment 120 Anton Bolshakov 2013-04-06 15:36:20 UTC
Ok, I didn't realise that there are a lot of people are in CC list.
So let's try to do it smoother. 

If anyone still interested in this software, could you please open a separate bug report and I'll mark that one as "duplicate" so everyone would be migrated to a new one?

I'm sorry for the noise, but I really don't want to be in that list any more ;-\
Comment 121 Mario Fetka (geos_one) 2013-04-17 08:18:39 UTC
created a new bug as requested #466204
Comment 122 Samuli Suominen gentoo-dev 2013-04-17 08:27:20 UTC
(In reply to comment #120)
> Ok, I didn't realise that there are a lot of people are in CC list.
> So let's try to do it smoother. 
> 
> If anyone still interested in this software, could you please open a
> separate bug report and I'll mark that one as "duplicate" so everyone would
> be migrated to a new one?
> 
> I'm sorry for the noise, but I really don't want to be in that list any more
> ;-\

This is really not OK; is very rude to other contributors in this bug. But I'll let it slide this time. :-/

Sorry everyone.

*** This bug has been marked as a duplicate of bug 466204 ***
Comment 123 Roger 2013-04-17 09:33:38 UTC
Not a big issue.

Not like we're pleased with binary only software anyways. ;-)